# MessageService

Example usage:

```lua
-- Sends an info message to players when they get a kill
Events.EntityDeath(function(event)
    if event.killer and event.killer:getPlayer() then
        MessageService.sendInfo(event.killer:getPlayer(), "You got a kill!")
    end
end)
```

### Functions

#### broadcast(message: string)

Broadcasts a message to everyone online

#### sendInfo(player: [Player](/scripting/bedwars-scripting/objects/player.md), message: string)

Sends an info message to a specific player

#### sendError(player: [Player](/scripting/bedwars-scripting/objects/player.md), message: string)

Sends an error message to a specific player


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.easy.gg/scripting/bedwars-scripting/services/messageservice.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
